%define name		xgngeo
%define longname	XGnGeo
%define version		15
%define rel		3
%define	distsuffix	plf
%define release         %mkrel %rel

Summary:   %{longname} - NeoGeo Emulator Front-End
Summary(fr): %{longname} - Interface graphique pour Emulateur NeoGeo
Name:      %{name}
Version:   %{version}
Release:   %{release}
Requires:  pygtk2.0, gngeo 
Source0:   %{name}-%{version}.tar.bz2
Source1:   %{name}-16.png
Source2:   %{name}-32.png
Source3:   %{name}-48.png
Patch:     %{name}-%{version}-paths.patch.bz2
Group:     Emulators
License:   GPL
URL:       http://fragnatik.net/choplair/xgngeo.en.html
#or http://fragnatik.net/choplair/xgngeo.fr.html
BuildArch: noarch
BuildRoot: %_tmppath/%{name}-build

%description
XGnGeo is a front-end for GnGeo, a NeoGeo emulator for Linux.
It uses PyGTK as the GUI toolkit.

This package is in PLF because of Mandriva policy regarding emulators.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%patch -p1

#build

#make

%install

install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}/images
install -c -m 644 $RPM_BUILD_DIR/%{name}-%{version}/data/rominfos.* $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}
install -c -m 644 $RPM_BUILD_DIR/%{name}-%{version}/data/img/* $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}/images
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/locale/es/LC_MESSAGES
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/locale/fr/LC_MESSAGES
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/locale/pl/LC_MESSAGES
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/locale/pt_BR/LC_MESSAGES
install -c -m 644 $RPM_BUILD_DIR/%{name}-%{version}/data/lang/es/LC_MESSAGES/xgngeo.mo $RPM_BUILD_ROOT/%{_datadir}/locale/es/LC_MESSAGES
install -c -m 644 $RPM_BUILD_DIR/%{name}-%{version}/data/lang/fr/LC_MESSAGES/xgngeo.mo $RPM_BUILD_ROOT/%{_datadir}/locale/fr/LC_MESSAGES
install -c -m 644 $RPM_BUILD_DIR/%{name}-%{version}/data/lang/pl/LC_MESSAGES/xgngeo.mo $RPM_BUILD_ROOT/%{_datadir}/locale/pl/LC_MESSAGES
msgfmt $RPM_BUILD_DIR/%{name}-%{version}/data/lang/pt_BR/LC_MESSAGES/xgngeo.po -o $RPM_BUILD_DIR/%{name}-%{version}/data/lang/pt_BR/LC_MESSAGES/xgngeo.mo
install -c -m 644 $RPM_BUILD_DIR/%{name}-%{version}/data/lang/pt_BR/LC_MESSAGES/xgngeo.mo $RPM_BUILD_ROOT/%{_datadir}/locale/pt_BR/LC_MESSAGES
#install -d -m 755 $RPM_BUILD_ROOT/%{_sysconfdir}
#install -c -m 644 $RPM_BUILD_DIR/%{name}-%{version}/data/xgngeo.conf $RPM_BUILD_ROOT%{_sysconfdir}
install -d -m 755 $RPM_BUILD_ROOT/%{_libdir}/python2.4/site-packages/py%{name}
install -c -m 644 $RPM_BUILD_DIR/%{name}-%{version}/data/py/* $RPM_BUILD_ROOT/%{_libdir}/python2.4/site-packages/py%{name}
install -d -m 755 $RPM_BUILD_ROOT/%{_bindir}
install -c -m 755 $RPM_BUILD_DIR/%{name}-%{version}/%{name}.py $RPM_BUILD_ROOT/%{_bindir}

#menu
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}.py" \
	icon="%{name}.png" \
	needs="X11" \
	section="More Applications/Emulators" \
	title="%{longname}" \
	longtitle="%{summary}" \
	xdg="true"
EOF

mkdir $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{longname}
Comment=%{summary}
Exec=%{_bindir}/%{name}.py
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Emulator;X-Mandrakelinux-MoreApplications-Emulators;
EOF

#icons
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png	
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png	
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png	

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc CHANGES.txt LICENSE.txt README.txt doc/xgngeo-doc.pdf doc/xgngeo-doc.txt
%attr(0755,root,games) %{_bindir}/%{name}.py
%dir %attr(0755,root,games) %{_datadir}/%{name}-%{version}
%dir %attr(0755,root,games) %{_libdir}/python?.?/site-packages/py%{name}
%{_datadir}/%{name}-%{version}/*
%{_libdir}/python?.?/site-packages/py%{name}/*
#%{_sysconfdir}/xgngeo.conf
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%changelog
* Thu Jun 15 2006 Guillaume Bedot <littletux@zarb.org> 15-3plf2007.0
- standard mkrel
- XDG menu

* Mon Sep 19 2005 Guillaume Bedot <littletux@zarb.org> 15-2plf
- Reupload

* Mon Sep 19 2005 Guillaume Bedot <littletux@zarb.org> 15-1plf
- New release 15
- Updated multi-user / paths patch
- Use mkrel

* Mon Jan 31 2005 Guillaume Bedot <littletux@zarb.org> 14-2plf
- Updated patch patch and menu section.

* Mon Apr 19 2004 Guillaume Bedot <littletux@zarb.org> 14-1plf
- First package
